#
# spec file for package aspell (Version 0.60.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd latex-ucs less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd te_ams te_latex tetex texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           aspell
BuildRequires:  gcc-c++ te_ams te_latex xorg-x11-devel
License:        LGPL
Group:          Productivity/Text/Spell
Provides:       spell pspell
Requires:       aspell-en
Obsoletes:      pspell
PreReq:         %install_info_prereq
Autoreqprov:    on
Version:        0.60.3
Release:        20.2
Summary:        A Free and Open Source Spell Checker
URL:            http://aspell.net/
Source:         aspell-%{version}.tar.bz2
Patch:          aspell-gcc-warning.patch
Patch1:         aspell-%{version}-strict-aliasing.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNU Aspell is a spell checker designed to eventually replace Ispell. It
can be used as a library or as an independent spell checker.

Its main feature is that it does a much better job of coming up with
possible suggestions than just about any other spell checker available
for the English language, including Ispell and Microsoft Word. It also
has many other technical enhancements over Ispell, such as using shared
memory for dictionaries and intelligently handling personal
dictionaries when more than one Aspell process is open at once.



%debug_package
%package devel
Provides:       pspell-devel
Requires:       aspell = %{version} libstdc++-devel glibc-devel
PreReq:         %install_info_prereq
Obsoletes:      pspell-devel
Summary:        Include Files and Libraries Mandatory for Development
Group:          Productivity/Text/Spell

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



%prep
%setup -q
%patch
%patch1

%build
%{suse_update_config}
rm aclocal.m4
rm -f missing 		# Get newest from automake
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} \
	    --libdir=%{_prefix}/%_lib \
	    --infodir=%{_infodir} \
	    --mandir=%{_mandir} \
            --enable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
#mv $RPM_BUILD_ROOT%{_datadir}/aspell/spell $RPM_BUILD_ROOT%{_bindir}/
#
# create directory for precompiled dictionaries
#install -m 755 -d $RPM_BUILD_ROOT%{_prefix}/lib/aspell
#
# documentation
#mv $RPM_BUILD_ROOT%{_datadir}/doc/aspell .

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%run_ldconfig
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%post devel
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}-dev.info.gz

%postun devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}-dev.info.gz

%files
%defattr(-,root,root)
%doc COPYING README
%doc manual/aspell.html
%{_mandir}/*/*
%{_infodir}/aspell.*
%{_bindir}/aspell
%{_bindir}/aspell-import
%{_bindir}/run-with-aspell
%{_bindir}/word-list-compress
%{_bindir}/pre*
%{_libdir}/libaspell.so.*
%{_libdir}/libpspell.so.*
%{_libdir}/aspell-0.60
%{_datadir}/locale/*/*/aspell.mo

%files devel
%defattr(-,root,root)
%doc manual/aspell-dev.html
%{_infodir}/aspell-dev.*
%{_prefix}/include/*
%{_bindir}/pspell-config
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/libaspell.so
%{_libdir}/libpspell.so

%changelog -n aspell
* Mon Mar 20 2006 - pnemec@suse.cz
- removed virtual package dependency
- added aspell-en to Requires #158675
* Tue Feb 21 2006 - aj@suse.de
- Fix Require for devel package.
* Tue Feb 07 2006 - pnemec@suse.cz
- fixed virtual package name
* Fri Feb 03 2006 - pnemec@suse.cz
- added virtual package aspell_dictionary to Requires
* Thu Jan 26 2006 - sbrabec@suse.cz
- Added %%install_info_prereq.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 02 2006 - pnemec@suse.cz
- fixed gcc strict aliasing warnings
* Tue Oct 04 2005 - pnemec@suse.cz
- fixed gcc warning and aspell-devel requires
* Wed Jun 29 2005 - ltinkl@suse.cz
- update to 0.60.3
* Tue Mar 15 2005 - ltinkl@suse.cz
- update to 0.60.2 which fixes some critical bugs (munch-list, better
  support for non-English languages)
* Tue Nov 30 2004 - ro@suse.de
- fix file list
* Mon Nov 29 2004 - ro@suse.de
- fix libdir usage
* Mon Nov 29 2004 - ltinkl@suse.cz
- update to 0.60.1.1
* Fri Nov 26 2004 - ltinkl@suse.cz
- updated to 0.60
- correctly install info pages
- package the HTML manuals
* Fri Aug 13 2004 - lnussel@suse.de
- apply corrected patch for #42197
* Thu Jun 24 2004 - ltinkl@suse.cz
- fix #42197
* Mon Feb 16 2004 - ltinkl@suse.cz
- update to 0.50.5
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Thu Oct 23 2003 - ltinkl@suse.cz
- update to latest stable version (0.50.4.1)
- throw away unused patch
* Wed Jul 23 2003 - ltinkl@suse.cz
- updated sources to 0.50.3
- package ChangeLog instead of empty TODO
- removed unused patch
* Wed May 21 2003 - pmladek@suse.cz
- fixed installation of documentation that rpm does not complain
  about unpacked files
* Tue Feb 25 2003 - kukuk@suse.de
- Include assert.h
* Fri Jan 31 2003 - pmladek@suse.cz
- fixed to link the libraries with -lstdc++
* Wed Nov 20 2002 - pmladek@suse.cz
- fixed invalid declaration which breaks building with gcc-3.3
- used x-devel-packages in neededforbuild instead of the obsolete xf86
* Fri Nov 01 2002 - pmladek@suse.cz
- updated to version 0.50.2:
  * merged with pspell
  * changed way to handle dictionaries
  * added aspell-import script to convert old dictionaries
  * pspell ABI is now part of aspell except that the name of everything has
  changed due to the renaming of pspell to aspell
  * provided pspell backward compatibility header file
  * the name of the language-tag option has changed to lang
  * backward compatible the language-tag option will still work
  * english dictionaries are built from separate package
  * see more details in /usr/share/doc/packages/aspell/README
- removed obsolete config files
- removed obsolete patches for automake, gcc3.x and x86_64
- fixed list of documentation to install
- fixed to compile example with gcc
- fixed problem with locking on nfs
* Fri Aug 30 2002 - pmladek@suse.cz
- fixed dependency of the devel subpackage on the main package (used %%version)
* Wed May 29 2002 - meissner@suse.de
- The hashing code did not halt in some hash bucket size cases
  which were reached due to slightly different floating point
  handling in x86_64.
  Now using integer arithmetic.
* Mon Apr 15 2002 - pmladek@suse.cz
- fixed to compile with gcc-3.1
* Thu Jan 10 2002 - pmladek@suse.cz
- used macro %%{_libdir} to fix for lib64
* Fri Dec 14 2001 - pmladek@suse.cz
- updated to version .33.7.1:
  * Minor manual fixes
  * compile fix for gcc 3.0 and Solaris
- added the patch aspell-.33-fix2.diff from sourceforge
- removed obsolete axp patch
- fixed file list
* Thu Oct 18 2001 - pmladek@suse.cz
- moved spell to /usr/bin (default path)
- added spell to Provides
- added aspell-en to Requires because of spell
* Thu Oct 04 2001 - schwab@suse.de
- Fix for automake 1.5.
- Avoid macro in Version tag.
* Mon Aug 27 2001 - pmladek@suse.cz
- fixed to compile on axp:
  * fixed declaration of friend classes
* Fri Aug 17 2001 - pmladek@suse.cz
- fixed file list
- added ed and dialog to neededforbuild through tetex
* Thu Aug 16 2001 - pmladek@suse.cz
- updated to version 0.33.7
- fixed documentation
* Tue Jun 26 2001 - schwab@suse.de
- Remove -I$(includedir).
* Mon Jun 11 2001 - ro@suse.de
- libtoolize to build
* Wed May 30 2001 - pmladek@suse.cz
- package created
- added start script and configurations for each spelling and jargon
